From: acpi-devel-admin@lists.sourceforge.net on behalf of akpm@osdl.org
Sent: Thursday, July 28, 2005 2:42 PM
To: kaneshige.kenji@jp.fujitsu.com; acpi-devel@lists.sourceforge.net;
mm-commits@vger.kernel.org
Subject: [ACPI] acpi_register_gsi-change-phpacpi-driver.patch added to
-mm tree


The patch titled

     acpi_register_gsi(): change phpacpi driver

has been added to the -mm tree.  Its filename is

     acpi_register_gsi-change-phpacpi-driver.patch

Patches currently in -mm which might be from kaneshige.kenji@jp.fujitsu.com are

acpi_register_gsi-change-acpi_register_gsi-interface.patch
acpi_register_gsi-change-acpi-pci-code.patch
acpi_register_gsi-change-hpet-driver.patch
acpi_register_gsi-change-phpacpi-driver.patch
acpi_register_gsi-change-acpi-based-8250-driver.patch
acpi_register_gsi-change-ia64-iosapic-code.patch



From: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>

This patch adds the error check of acpi_register_gsi() into pnpacpi driver.

Signed-off-by: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>
Cc: <acpi-devel@lists.sourceforge.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pnp/pnpacpi/rsparser.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pnp/pnpacpi/rsparser.c~acpi_register_gsi-change-phpacpi-driver drivers/pnp/pnpacpi/rsparser.c
--- devel/drivers/pnp/pnpacpi/rsparser.c~acpi_register_gsi-change-phpacpi-driver	2005-07-28 11:42:15.000000000 -0700
+++ devel-akpm/drivers/pnp/pnpacpi/rsparser.c	2005-07-28 11:42:15.000000000 -0700
@@ -81,7 +81,7 @@ pnpacpi_parse_allocated_irqresource(stru
 		i++;
 	if (i < PNP_MAX_IRQ) {
 		res->irq_resource[i].flags = IORESOURCE_IRQ;  //Also clears _UNSET flag
-		if (irq == -1) {
+		if (irq < 0) {
 			res->irq_resource[i].flags |= IORESOURCE_DISABLED;
 			return;
 		}
_


-------------------------------------------------------
SF.Net email is Sponsored by the Better Software Conference & EXPO September
19-22, 2005 * San Francisco, CA * Development Lifecycle Practices
Agile & Plan-Driven Development * Managing Projects & Teams * Testing & QA
Security * Process Improvement & Measurement * http://www.sqe.com/bsce5sf
_______________________________________________
Acpi-devel mailing list
Acpi-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/acpi-devel
